io.vertx.mysqlclient

## Interface MySQLPool

- All Superinterfaces:
    io.vertx.sqlclient.Pool, io.vertx.sqlclient.SqlClient

      public interface MySQLPool
      extends io.vertx.sqlclient.Pool

  A pool of MySQL connections.

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MySQLPool` | `pool(MySQLConnectOptions connectOptions, io.vertx.sqlclient.PoolOptions poolOptions)` Create a connection pool to the MySQL server configured with the given `connectOptions` and `poolOptions`.
    `static MySQLPool` | `pool(String connectionUri)` Like `pool(String, PoolOptions)` with a default `poolOptions`.
    `static MySQLPool` | `pool(String connectionUri, io.vertx.sqlclient.PoolOptions poolOptions)` Like `pool(MySQLConnectOptions, PoolOptions)` with `connectOptions` build from `connectionUri`.
    `static MySQLPool` | `pool(Vertx vertx, MySQLConnectOptions connectOptions, io.vertx.sqlclient.PoolOptions poolOptions)` Like `pool(MySQLConnectOptions, PoolOptions)` with a specific `Vertx` instance.
    `static MySQLPool` | `pool(Vertx vertx, String connectionUri)` Like `pool(Vertx, String,PoolOptions)` with a default `poolOptions`..
    `static MySQLPool` | `pool(Vertx vertx, String connectionUri, io.vertx.sqlclient.PoolOptions poolOptions)` Like `pool(Vertx, MySQLConnectOptions, PoolOptions)` with `connectOptions` build from `connectionUri`.
    `<R> MySQLPool` | `preparedBatch(String sql, List<io.vertx.sqlclient.Tuple> batch, java.util.stream.Collector<io.vertx.sqlclient.Row,?,R> collector, Handler<AsyncResult<io.vertx.sqlclient.SqlResult<R>>> handler)`
    `MySQLPool` | `preparedBatch(String sql, List<io.vertx.sqlclient.Tuple> batch, Handler<AsyncResult<io.vertx.sqlclient.RowSet>> handler)`
    `<R> MySQLPool` | `preparedQuery(String sql, java.util.stream.Collector<io.vertx.sqlclient.Row,?,R> collector, Handler<AsyncResult<io.vertx.sqlclient.SqlResult<R>>> handler)`
    `MySQLPool` | `preparedQuery(String sql, Handler<AsyncResult<io.vertx.sqlclient.RowSet>> handler)`
    `<R> MySQLPool` | `preparedQuery(String sql, io.vertx.sqlclient.Tuple arguments, java.util.stream.Collector<io.vertx.sqlclient.Row,?,R> collector, Handler<AsyncResult<io.vertx.sqlclient.SqlResult<R>>> handler)`
    `MySQLPool` | `preparedQuery(String sql, io.vertx.sqlclient.Tuple arguments, Handler<AsyncResult<io.vertx.sqlclient.RowSet>> handler)`
    `<R> MySQLPool` | `query(String sql, java.util.stream.Collector<io.vertx.sqlclient.Row,?,R> collector, Handler<AsyncResult<io.vertx.sqlclient.SqlResult<R>>> handler)`
    `MySQLPool` | `query(String sql, Handler<AsyncResult<io.vertx.sqlclient.RowSet>> handler)`

    - ### Methods inherited from interface io.vertx.sqlclient.Pool

      `begin, close, getConnection`

- - ### Method Detail

    - #### pool

          static MySQLPool pool(String connectionUri)

      Like `pool(String, PoolOptions)` with a default `poolOptions`.

    - #### pool

          static MySQLPool pool(String connectionUri,
                                io.vertx.sqlclient.PoolOptions poolOptions)

      Like `pool(MySQLConnectOptions, PoolOptions)` with `connectOptions` build from `connectionUri`.

    - #### pool

          static MySQLPool pool(Vertx vertx,
                                String connectionUri)

      Like `pool(Vertx, String,PoolOptions)` with a default `poolOptions`..

    - #### pool

          static MySQLPool pool(Vertx vertx,
                                String connectionUri,
                                io.vertx.sqlclient.PoolOptions poolOptions)

      Like `pool(Vertx, MySQLConnectOptions, PoolOptions)` with `connectOptions` build from `connectionUri`.

    - #### pool

          static MySQLPool pool(MySQLConnectOptions connectOptions,
                                io.vertx.sqlclient.PoolOptions poolOptions)

      Create a connection pool to the MySQL server configured with the given `connectOptions` and `poolOptions`.
      Parameters:
        `connectOptions` - the options for the connection
        `poolOptions` - the options for creating the pool
      Returns:
        the connection pool

    - #### pool

          static MySQLPool pool(Vertx vertx,
                                MySQLConnectOptions connectOptions,
                                io.vertx.sqlclient.PoolOptions poolOptions)

      Like `pool(MySQLConnectOptions, PoolOptions)` with a specific `Vertx` instance.

    - #### preparedQuery

          MySQLPool preparedQuery(String sql,
                                  Handler<AsyncResult<io.vertx.sqlclient.RowSet>> handler)

      Specified by:
        `preparedQuery` in interface `io.vertx.sqlclient.Pool`
      Specified by:
        `preparedQuery` in interface `io.vertx.sqlclient.SqlClient`

    - #### preparedQuery

          <R> MySQLPool preparedQuery(String sql,
                                      java.util.stream.Collector<io.vertx.sqlclient.Row,?,R> collector,
                                      Handler<AsyncResult<io.vertx.sqlclient.SqlResult<R>>> handler)

      Specified by:
        `preparedQuery` in interface `io.vertx.sqlclient.Pool`
      Specified by:
        `preparedQuery` in interface `io.vertx.sqlclient.SqlClient`

    - #### query

          MySQLPool query(String sql,
                          Handler<AsyncResult<io.vertx.sqlclient.RowSet>> handler)

      Specified by:
        `query` in interface `io.vertx.sqlclient.Pool`
      Specified by:
        `query` in interface `io.vertx.sqlclient.SqlClient`

    - #### query

          <R> MySQLPool query(String sql,
                              java.util.stream.Collector<io.vertx.sqlclient.Row,?,R> collector,
                              Handler<AsyncResult<io.vertx.sqlclient.SqlResult<R>>> handler)

      Specified by:
        `query` in interface `io.vertx.sqlclient.Pool`
      Specified by:
        `query` in interface `io.vertx.sqlclient.SqlClient`

    - #### preparedQuery

          MySQLPool preparedQuery(String sql,
                                  io.vertx.sqlclient.Tuple arguments,
                                  Handler<AsyncResult<io.vertx.sqlclient.RowSet>> handler)

      Specified by:
        `preparedQuery` in interface `io.vertx.sqlclient.Pool`
      Specified by:
        `preparedQuery` in interface `io.vertx.sqlclient.SqlClient`

    - #### preparedQuery

          <R> MySQLPool preparedQuery(String sql,
                                      io.vertx.sqlclient.Tuple arguments,
                                      java.util.stream.Collector<io.vertx.sqlclient.Row,?,R> collector,
                                      Handler<AsyncResult<io.vertx.sqlclient.SqlResult<R>>> handler)

      Specified by:
        `preparedQuery` in interface `io.vertx.sqlclient.Pool`
      Specified by:
        `preparedQuery` in interface `io.vertx.sqlclient.SqlClient`

    - #### preparedBatch

          MySQLPool preparedBatch(String sql,
                                  List<io.vertx.sqlclient.Tuple> batch,
                                  Handler<AsyncResult<io.vertx.sqlclient.RowSet>> handler)

      Specified by:
        `preparedBatch` in interface `io.vertx.sqlclient.Pool`
      Specified by:
        `preparedBatch` in interface `io.vertx.sqlclient.SqlClient`

    - #### preparedBatch

          <R> MySQLPool preparedBatch(String sql,
                                      List<io.vertx.sqlclient.Tuple> batch,
                                      java.util.stream.Collector<io.vertx.sqlclient.Row,?,R> collector,
                                      Handler<AsyncResult<io.vertx.sqlclient.SqlResult<R>>> handler)

      Specified by:
        `preparedBatch` in interface `io.vertx.sqlclient.Pool`
      Specified by:
        `preparedBatch` in interface `io.vertx.sqlclient.SqlClient`

Copyright © 2019 Eclipse. All rights reserved.